VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "InterruptClass"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Option Explicit

Private sLevel As String
Private sGroup As String
Private sName  As String
Private sEnabled As String
Private sRegister As String

Public Property Get IntName() As String
    On Error Resume Next
    
    IntName = sName
End Property

Public Property Let IntName(sNew As String)
    On Error Resume Next

    sName = sNew
End Property

Public Property Get Enabled() As String
    On Error Resume Next
    
    Enabled = sEnabled
End Property

Public Property Let Enabled(sNew As String)
    On Error Resume Next

    sEnabled = sNew
End Property


Public Property Get LevelName() As String
    On Error Resume Next
    
    LevelName = sLevel
End Property

Public Property Let LevelName(sNew As String)
    On Error Resume Next
    
    sLevel = sNew
End Property

Public Property Get GroupName() As String
    On Error Resume Next
    
    GroupName = sGroup
End Property

Public Property Let GroupName(sNew As String)
    On Error Resume Next
    
    sGroup = sNew
End Property

Public Property Get RegName() As String
    On Error Resume Next
    
    RegName = sRegister
End Property

Public Property Let RegName(sNew As String)
    On Error Resume Next
    
    sRegister = sNew
End Property


Private Sub Class_Initialize()
End Sub

Private Sub Class_Terminate()
End Sub




